For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
      • GETReturns the public profile image.
      • GETReturns a shared file.
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceShared Files

Returns the public profile image.

GET
https://api.awork.com/api/v1/files/images/:entityType
GET
/api/v1/files/images/:entityType
$curl -G https://api.awork.com/api/v1/files/images/entityType \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.exampleToken1234567890
1{}
<Check title="Required Permissions" icon="key">Allows unauthenticated access.</Check>
Was this page helpful?
Previous

Returns a shared file.

Next
Built with
Required Permissions
Allows unauthenticated access.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityTypestringRequired
The entity type for which we are requesting the image.

Query parameters

tokenstringRequired
The token to allow access.

Response

OK

Errors

400
Bad Request Error
404
Not Found Error